## ListSCIMConfigurations **post** `/gitpod.v1.OrganizationService/ListSCIMConfigurations` Lists SCIM configurations for an organization. Use this method to: - View all SCIM configurations - Monitor provisioning status - Audit SCIM settings ### Examples - List SCIM configurations: Shows all SCIM configurations for an organization. ```yaml pagination: pageSize: 20 ``` ### Query Parameters - `token: optional string` - `pageSize: optional number` ### Body Parameters - `pagination: optional object { token, pageSize }` - `token: optional string` Token for the next set of results that was returned as next_token of a PaginationResponse - `pageSize: optional number` Page size is the maximum number of results to retrieve per page. Defaults to 25. Maximum 100. ### Returns - `pagination: object { nextToken }` - `nextToken: optional string` Token passed for retrieving the next set of results. Empty if there are no more results - `scimConfigurations: optional array of ScimConfiguration` scim_configurations are the SCIM configurations for the organization - `id: string` id is the unique identifier of the SCIM configuration - `createdAt: string` created_at is when the SCIM configuration was created - `organizationId: string` organization_id is the ID of the organization this SCIM configuration belongs to - `tokenExpiresAt: string` token_expires_at is when the current SCIM token expires - `updatedAt: string` updated_at is when the SCIM configuration was last updated - `enabled: optional boolean` enabled indicates if SCIM provisioning is active - `name: optional string` name is a human-readable name for the SCIM configuration - `ssoConfigurationId: optional string` sso_configuration_id is the linked SSO configuration (optional) ### Example ```http curl https://app.gitpod.io/api/gitpod.v1.OrganizationService/ListSCIMConfigurations \ -H 'Content-Type: application/json' \ -H "Authorization: Bearer $GITPOD_API_KEY" \ -d '{}' ``` #### Response ```json { "pagination": { "nextToken": "nextToken" }, "scimConfigurations": [ { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "createdAt": "2019-12-27T18:11:19.117Z", "organizationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "tokenExpiresAt": "2019-12-27T18:11:19.117Z", "updatedAt": "2019-12-27T18:11:19.117Z", "enabled": true, "name": "name", "ssoConfigurationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e" } ] } ```